p2LL {annotate} | R Documentation

## A function to map from probes to unique Entrez Gene IDs

### Description

For any chip, this function computes the map from unique Entrez Gene ID to all probes.

### Usage

    p2LL(data)

### Arguments

`data` | The character string naming the chip.

### Details

This is essentially the computation of the reverse map, we store probe to Entrez gene information in the `LOCUSID` environment. This is used to compute the inverse mapping.

### Value

A list, with length equal to the number of unique Entrez Gene IDs on the chip, the elements correspond to the probes that map to the Gene ID.

### Author(s)

R. Gentleman

### See Also

`getLL`

### Examples

     if( require("hgu95av2") ) {
     x = p2LL("hgu95av2")
     table(sapply(x, length))
    }

[Package annotate version 1.10.0 Index]